Bug 1409959 - Impossible to login in SSUI due to ERROR on SSUI Dashboard
Summary: Impossible to login in SSUI due to ERROR on SSUI Dashboard
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Allen W
QA Contact: Shveta
URL:
Whiteboard: ssui:retirement
Depends On:
Blocks: 1410516
TreeView+ depends on / blocked
 
Reported: 2017-01-04 02:17 UTC by Jerome Marc
Modified: 2020-04-15 15:02 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1410516 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:36:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Jerome Marc 2017-01-04 02:17:35 UTC
Description of problem:
Seeing a white screen with the following exception when attempting to login in the Self-Service UI: Api::ForbiddenError: Use of the read action is forbidden

I believe this is caused by one of the query on the SSUI dashboard (e.g. service retired or retirement date set and not handled properly).

Version-Release number of selected component (if applicable):
5.7.0.17.20161219135818_725f92f 

evm.log:
[----] I, [2017-01-03T21:11:56.641169 #56331:c63d10]  INFO -- : <AuditSuccess> MIQ(Authenticator.authenticate) userid: [cloudops] - User cloudops successfully validated by E
VM
[----] I, [2017-01-03T21:11:56.646485 #56331:c63d10]  INFO -- : <AuditSuccess> MIQ(Authenticator.authenticate) userid: [cloudops] - Authentication successful for user cloudo
ps
[----] E, [2017-01-03T21:11:56.811021 #56331:c63d10] ERROR -- : <API> MIQ(Api::SettingsController.api_error) API Error
[----] E, [2017-01-03T21:11:56.811128 #56331:c63d10] ERROR -- : <API> MIQ(Api::SettingsController.api_error) Api::ForbiddenError: Use of the read action is forbidden
[----] E, [2017-01-03T21:11:58.226920 #56331:c6235c] ERROR -- : <API> MIQ(Api::SettingsController.api_error) API Error
[----] E, [2017-01-03T21:11:58.227032 #56331:c6235c] ERROR -- : <API> MIQ(Api::SettingsController.api_error) Api::ForbiddenError: Use of the read action is forbidden
[----] E, [2017-01-03T21:11:58.887156 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) API Error
[----] E, [2017-01-03T21:11:58.887233 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) NoMethodError: undefined method `iso8601' for "2017-01-03":Strin
g
[----] E, [2017-01-03T21:11:58.887368 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) API Error
[----] E, [2017-01-03T21:11:58.887435 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) 
[----] E, [2017-01-03T21:11:58.887470 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) 
[----] E, [2017-01-03T21:11:58.887504 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/miq_expression.rb:977:in `quote'
[----] E, [2017-01-03T21:11:58.887542 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/miq_expression.rb:944:in `operands2rubyval
ue'
[----] E, [2017-01-03T21:11:58.887579 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/miq_expression.rb:466:in `_to_ruby'
[----] E, [2017-01-03T21:11:58.887614 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/miq_expression.rb:522:in `block in _to_rub
y'
[----] E, [2017-01-03T21:11:58.887648 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/miq_expression.rb:522:in `collect'
[----] E, [2017-01-03T21:11:58.887682 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/miq_expression.rb:522:in `_to_ruby'
[----] E, [2017-01-03T21:11:58.887717 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/miq_expression.rb:455:in `to_ruby'
[----] E, [2017-01-03T21:11:58.887752 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/miq_expression.rb:779:in `lenient_evaluate
'
[----] E, [2017-01-03T21:11:58.887785 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac/filterer.rb:557:in `matches_search_fi
lters?'
[----] E, [2017-01-03T21:11:58.887819 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac/filterer.rb:225:in `block in search'
[----] E, [2017-01-03T21:11:58.887854 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activerecord-5.0.0.1/lib/active_record/
relation/delegation.rb:38:in `each'
[----] E, [2017-01-03T21:11:58.887888 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activerecord-5.0.0.1/lib/active_record/
relation/delegation.rb:38:in `each'
[----] E, [2017-01-03T21:11:58.887932 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac/filterer.rb:225:in `reject'
[----] E, [2017-01-03T21:11:58.887967 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac/filterer.rb:225:in `search'
[----] E, [2017-01-03T21:11:58.888002 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac/filterer.rb:97:in `search'
[----] E, [2017-01-03T21:11:58.888036 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac.rb:3:in `search'
[----] E, [2017-01-03T21:11:58.888089 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac/filterer.rb:262:in `filtered'
[----] E, [2017-01-03T21:11:58.888123 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac/filterer.rb:101:in `filtered'
[----] E, [2017-01-03T21:11:58.888155 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/lib/rbac.rb:11:in `filtered'
[----] E, [2017-01-03T21:11:58.888185 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/app/controllers/api/base_controller/renderer.rb:178:in `collection_search'
[----] E, [2017-01-03T21:11:58.888218 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/app/controllers/api/base_controller/renderer.rb:16:in `render_collection_type'
[----] E, [2017-01-03T21:11:58.888250 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /var/www/miq/vmdb/app/controllers/api/base_controller/generic.rb:12:in `show'
[----] E, [2017-01-03T21:11:58.888290 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
[----] E, [2017-01-03T21:11:58.888323 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/abstract_controller/base.rb:188:in `process_action'
[----] E, [2017-01-03T21:11:58.888355 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/rendering.rb:30:in `process_action'
[----] E, [2017-01-03T21:11:58.888392 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
[----] E, [2017-01-03T21:11:58.888425 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:126:in `call'
[----] E, [2017-01-03T21:11:58.888456 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
[----] E, [2017-01-03T21:11:58.888487 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:455:in `call'
[----] E, [2017-01-03T21:11:58.888520 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
[----] E, [2017-01-03T21:11:58.888555 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
[----] E, [2017-01-03T21:11:58.888588 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/callbacks.rb:90:in `run_callbacks'
[----] E, [2017-01-03T21:11:58.888621 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/abstract_controller/callbacks.rb:19:in `process_action'
[----] E, [2017-01-03T21:11:58.888655 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/rescue.rb:20:in `process_action'
[----] E, [2017-01-03T21:11:58.888687 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/actionpack-5.0.0.1/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
[----] E, [2017-01-03T21:11:58.888721 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_support/notifications.rb:164:in `block in instrument'
[----] E, [2017-01-03T21:11:58.888754 #56331:c6235c] ERROR -- : <API> MIQ(Api::ServicesController.api_error) /opt/rh/cfme-gemset/gems/activesupport-5.0.0.1/lib/active_suppor:

Comment 4 Jerome Marc 2017-01-04 18:14:59 UTC
The issue appears when I have retired / terminated instances on AWS for this user. When deleting these instances from the VMDB, the user can login again in the SSUI and dashboard does not error.

Comment 5 Allen W 2017-01-05 16:06:39 UTC
Backport of https://github.com/ManageIQ/manageiq-ui-service/pull/353

Comment 7 Allen W 2017-01-13 14:08:09 UTC
Working this again, stand by...

Comment 8 Allen W 2017-01-13 15:27:42 UTC
new pr with da final fix 
https://github.com/ManageIQ/manageiq-ui-service/pull/426

Comment 9 Shveta 2017-03-03 00:38:54 UTC
Fixed in 5.8.0.2-nightly.20170228141623_8710eed


Note You need to log in before you can comment on or make changes to this bug.